/// <reference types="node" />
import { Address } from 'web3x/address';
import { Tx } from '../tx';
import { BlockHeader } from './block-header';
import { EvaluatedTx } from './evaluate-txs';
export interface BlockState {
    header: BlockHeader;
    uncles: BlockHeader[];
    transactions: Tx[];
    serializedHeader: Buffer;
    blockHash: Buffer;
}
export declare function createBlockState(stateRoot: Buffer, parentHash: Buffer, blockNumber: number, coinbase: Address, timestamp: number, difficulty: bigint, blockGasLimit: bigint, evaluatedTxs: EvaluatedTx[]): BlockState;
export declare function serializeBlockState(blockState: BlockState): Buffer;
export declare function deserializeBlockState(data: Buffer): BlockState;
