/// <reference types="node" />
import { Address } from 'web3x/address';
import { Tx, TxReceipt } from '../tx';
import { ExTxResult } from '../vm';
import { WorldState } from '../world';
import { BlockchainContext } from './blockchain';
export interface EvaluatedTx {
    tx: Tx;
    serializedTx: Buffer;
    txHash: Buffer;
    receipt: TxReceipt;
    serializedReceipt: Buffer;
    sender: Address;
    result: ExTxResult;
}
export declare function evaluateTxs(worldState: WorldState, blockchainContext: BlockchainContext, txs: Tx[], sender?: Address): Promise<EvaluatedTx[]>;
