/// <reference types="node" />
import { OpCode } from '.';
import { EvmContext } from '../vm/evm-context';
declare class GasOp implements OpCode {
    readonly code = 90;
    readonly mnemonic = "GAS";
    readonly description = "Get the amount of available gas, including the corresponding reduction for the cost of this instruction.";
    readonly gas = 2;
    readonly bytes = 1;
    toString(params: Buffer): string;
    handle(context: EvmContext): void;
}
export declare const Gas: GasOp;
export {};
