/// <reference types="node" />
import { EvmContext } from '../vm/evm-context';
export interface OpCode {
    readonly code: number;
    readonly mnemonic: string;
    readonly description: string;
    readonly gas: number;
    readonly bytes: number;
    handle(context: EvmContext): void | Promise<void>;
    toString(params: Buffer): string;
}
export declare const OpCodes: {
    [code: number]: OpCode;
};
