/// <reference types="node" />
import { OpCode } from '.';
import { EvmContext } from '../vm/evm-context';
declare class RevertOp implements OpCode {
    readonly code = 253;
    readonly mnemonic = "REVERT";
    readonly description = "Stop execution and revert state changes, without consuming all provided gas and providing a reason";
    readonly gas = 0;
    readonly bytes = 1;
    toString(params: Buffer): string;
    handle(context: EvmContext): void;
}
export declare const Revert: RevertOp;
export {};
