/// <reference types="node" />
import { Address } from 'web3x/address';
import { BlockchainContext } from '../blockchain';
import { EvmMemory } from '../memory';
import { Stack } from '../stack';
import { Trie } from '../trie';
import { TxSubstrate } from '../tx/tx-substrate';
import { WorldState } from '../world/world-state';
export declare class EvmContext {
    worldState: WorldState;
    blockchainCtx: BlockchainContext;
    code: Buffer;
    calldata: Buffer;
    origin: Address;
    caller: Address;
    executor: Address;
    transferValue: bigint;
    executionValue: bigint;
    availableGas: bigint;
    gasPrice: bigint;
    storage: Trie;
    callDepth: number;
    modify: boolean;
    txSubstrate: TxSubstrate;
    stack: Stack<bigint>;
    memory: EvmMemory;
    ip: number;
    halt: boolean;
    reverted: boolean;
    revertInstruction: number;
    returned: Buffer;
    lastReturned: Buffer;
    error?: Error;
    constructor(worldState: WorldState, blockchainCtx: BlockchainContext, code?: Buffer, calldata?: Buffer, origin?: Address, caller?: Address, executor?: Address, transferValue?: bigint, executionValue?: bigint, availableGas?: bigint, gasPrice?: bigint, storage?: Trie, callDepth?: number, modify?: boolean, txSubstrate?: TxSubstrate);
}
