/// <reference types="node" />
import { Address } from 'web3x/address';
import { BlockchainContext } from '../blockchain';
import { Tx } from '../tx/tx';
import { TxSubstrate } from '../tx/tx-substrate';
import { WorldState } from '../world';
export interface ExTxContext {
    worldState: WorldState;
    blockchainContext: BlockchainContext;
    sender?: Address;
}
export interface ExTxResult {
    contractAddress?: Address;
    returned?: Buffer;
    remainingGas: bigint;
    txSubstrate?: TxSubstrate;
    reverted: boolean;
    error?: Error;
}
export declare function executeTransaction(context: ExTxContext, tx: Tx): Promise<ExTxResult>;
