/// <reference types="node" />
import { Address } from 'web3x/address';
import { BlockchainContext } from '../blockchain';
import { TxSubstrate } from '../tx';
import { WorldState } from '../world/world-state';
export declare function messageCall(worldState: WorldState, blockchainCtx: BlockchainContext, sender: Address, origin: Address, recipient: Address, codeFrom: Address, availableGas: bigint, gasPrice: bigint, transferValue: bigint, executionValue: bigint, data: Buffer, callDepth: number, modify: boolean): Promise<{
    remainingGas: bigint;
    reverted: true;
    returned: Buffer;
    txSubstrate?: undefined;
    error?: undefined;
} | {
    remainingGas: bigint;
    txSubstrate: TxSubstrate;
    reverted: false;
    returned: Buffer;
    error: Error | undefined;
}>;
export declare function staticMessageCall(worldState: WorldState, blockchainCtx: BlockchainContext, sender: Address, origin: Address, recipient: Address, codeFrom: Address, data: Buffer, callDepth: number): Promise<{
    returned: Buffer;
}>;
