/// <reference types="node" />
import { Address } from 'web3x/address';
import { Trie } from '../trie';
import { EvmContext } from '../vm';
export declare class EvmAccount {
    readonly address: Address;
    nonce: bigint;
    balance: bigint;
    readonly storage: Trie;
    code: Buffer;
    constructor(address: Address, nonce: bigint, balance: bigint, storage: Trie, code: Buffer);
    nextContractAddress(): Address;
    run(context: EvmContext): Promise<EvmContext>;
    isEmpty(): boolean;
}
